# frozen_string_literal: true

module Hermes
  # Threshold serializer
  class ThresholdSerializer < Hermes::ApplicationSerializer
    cache key: proc { "#{object.cache_key}" }, expires_in: 1.day
    attributes %i[
      type
      codes
      housing_offer_ids
    ]

    attribute :thresholds_map, key_transformation: :unaltered

    type 'thresholds'

    def housing_offer_ids
      object.housing_offer_ids&.map(&:to_s)
    end

    def thresholds_map
      object.thresholds_map&.all_to(Integer)
    end
  end
end
